Bug 490141 - JRockit Installed When RHEL Supplementary Channel Selected
JRockit Installed When RHEL Supplementary Channel Selected
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tomcat5 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: David Knox
tomcat-qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 10:40 EDT by Mike Millson
Modified: 2015-11-01 19:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 08:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Millson 2009-03-13 10:40:03 EDT
Description of problem:
When tomcat5 is installed without specifying a JDK package, yum chooses to install java-1.5.0-bea and java-1.5.0-bea-devel, then subsequent updates fail.

How reproducible:
yum install tomcat5

Steps to Reproduce:
1. Make sure no JDKs are installed.
2. Subscribe the system to the RHEL Supplementary channel.
3. Execute yum install tomcat5
4. Execute yum update
  
Actual results:
1. java-1.5.0-bea and java-1.5.0-bea-devel are selected to be installed to satisfy the tomcat5 JDK dependencies. 
2. After tomcat is installed with JRockit, when yum update is subsequently run, the update fails with the following error:
Error: java-1.5.0-bea-uninstall conflicts with java-1.4.2-bea 

Expected results:
I would expect to see OpenJDK installed to satisfy the JDK requirement. And definitely not JRockit, which should be removed in 5.3. Best order of selecting a JDK if one is not specified:
1) OpenJDK
2) Sun JDK
Comment 1 Thomas Cameron 2010-01-30 01:58:11 EST
Please note - I am not a developer, I just happened to see this open BZ.

Workaround is to install e.g. java-1.6.0-sun first, then install tomcat5.  That seems to work.
Comment 2 brian 2010-11-10 11:20:54 EST
I also encountered this problem. I solved it as follows:

$ yum install java-1.6.0-sun
$ alternatives --config java # set java-1.6 (number 3 for me)
$ rpm -e --nodeps java-1.6.0-bea
$ yum reinstall tomcat5 
$ yum update -y

Of course, you need to switch from BEA to SUN.
Comment 3 brian 2010-11-10 11:51:04 EST
I have error during tomcat restart :
I see error messages '/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR' or '/usr/lib/jvm-exports/java ...

$ rm -f /var/run/tomcat.pid
$ yum install java-1.6.0-devel
$ service tomcat start

I verified my application : it works fine.

k0b3.
Comment 4 Michal Haško 2012-05-21 08:08:27 EDT
java-1.5.0-bea is no longer supported.
This is by no means a tomcat bug. It is merely a misfortunate way of selecting dependent packages by yum.
It is not very safe to let yum pick JVM vendor automatically anyway.

With these reasons, I'm closing this issue. Please reopen if necessary.

Note You need to log in before you can comment on or make changes to this bug.